Package org.jboss.resteasy.mock

## Class MockHttpResponse

- java.lang.Object
- - org.jboss.resteasy.mock.MockHttpResponse

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `HttpResponse`

      public class MockHttpResponse
      extends Object
      implements HttpResponse

  Acts as a bridge between asynchronous message and reply
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ByteArrayOutputStream` | `baos` |
    `protected String` | `errorMessage` |
    `protected List<javax.ws.rs.core.NewCookie>` | `newCookies` |
    `protected OutputStream` | `os` |
    `protected CaseInsensitiveMap<Object>` | `outputHeaders` |
    `protected boolean` | `sentError` |
    `protected int` | `status` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MockHttpResponse()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addNewCookie​(javax.ws.rs.core.NewCookie cookie)` |
    `void` | `flushBuffer()` |
    `String` | `getContentAsString()` |
    `String` | `getErrorMessage()` |
    `List<javax.ws.rs.core.NewCookie>` | `getNewCookies()` |
    `byte[]` | `getOutput()` |
    `javax.ws.rs.core.MultivaluedMap<String,​Object>` | `getOutputHeaders()` |
    `OutputStream` | `getOutputStream()` |
    `int` | `getStatus()` |
    `boolean` | `isCommitted()` |
    `boolean` | `isErrorSent()` |
    `void` | `reset()` | reset status and headers.
    `void` | `sendError​(int status)` |
    `void` | `sendError​(int status, String message)` |
    `void` | `setOutputStream​(OutputStream os)` |
    `void` | `setStatus​(int status)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.resteasy.spi.HttpResponse

      `close, getAsyncOutputStream, setSuppressExceptionDuringChunkedTransfer, suppressExceptionDuringChunkedTransfer`

- - ### Field Detail

    - #### status

          protected int status

    - #### baos

          protected ByteArrayOutputStream baos

    - #### os

          protected OutputStream os

    - #### outputHeaders

          protected CaseInsensitiveMap<Object> outputHeaders

    - #### newCookies

          protected List<javax.ws.rs.core.NewCookie> newCookies

    - #### errorMessage

          protected String errorMessage

    - #### sentError

          protected boolean sentError

  - ### Constructor Detail

    - #### MockHttpResponse

          public MockHttpResponse()

  - ### Method Detail

    - #### getStatus

          public int getStatus()

      Specified by:
        `getStatus` in interface `HttpResponse`

    - #### setStatus

          public void setStatus​(int status)

      Specified by:
        `setStatus` in interface `HttpResponse`

    - #### getOutputHeaders

          public javax.ws.rs.core.MultivaluedMap<String,​Object> getOutputHeaders()

      Specified by:
        `getOutputHeaders` in interface `HttpResponse`

    - #### getOutputStream

          public OutputStream getOutputStream()
                                       throws IOException

      Specified by:
        `getOutputStream` in interface `HttpResponse`
      Throws:
        `IOException`

    - #### setOutputStream

          public void setOutputStream​(OutputStream os)

      Specified by:
        `setOutputStream` in interface `HttpResponse`

    - #### getOutput

          public byte[] getOutput()

    - #### getContentAsString

          public String getContentAsString()
                                    throws UnsupportedEncodingException

      Throws:
        `UnsupportedEncodingException`

    - #### addNewCookie

          public void addNewCookie​(javax.ws.rs.core.NewCookie cookie)

      Specified by:
        `addNewCookie` in interface `HttpResponse`

    - #### sendError

          public void sendError​(int status)
                         throws IOException

      Specified by:
        `sendError` in interface `HttpResponse`
      Throws:
        `IOException`

    - #### sendError

          public void sendError​(int status,
                                String message)
                         throws IOException

      Specified by:
        `sendError` in interface `HttpResponse`
      Throws:
        `IOException`

    - #### getNewCookies

          public List<javax.ws.rs.core.NewCookie> getNewCookies()

    - #### getErrorMessage

          public String getErrorMessage()

    - #### isErrorSent

          public boolean isErrorSent()

    - #### isCommitted

          public boolean isCommitted()

      Specified by:
        `isCommitted` in interface `HttpResponse`

    - #### reset

          public void reset()

      Description copied from interface: `HttpResponse`
      reset status and headers. Will fail if response is committed
      Specified by:
        `reset` in interface `HttpResponse`

    - #### flushBuffer

          public void flushBuffer()
                           throws IOException

      Specified by:
        `flushBuffer` in interface `HttpResponse`
      Throws:
        `IOException`